
Redmine - Defect #2003

Project ID length - remove lower limit , or at least allow 2

2008-10-07 17:52 - Szabolcs Szasz

Status: Closed Start date: 2008-10-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed Affected version:  

Description

Any sound reason to forbid using project IDs like "hr" (human resources), "fr" (fundraising), "pr" (public relations) or just any local

two-letter abbreviations? Having to mock up a pointless unusual 3-letter acronym for hr feels kind of... wierd...

Why putting in such a restriction, instead of letting the admins decide how they assign their IDs?

Or is there some technical limitation lurking behind that restricts that freedom?

I'll try to hack my instance (unless there's indeed a hard tech. limit.), but would be nice to avoid doing it for every upgrade...

(Done a quick search on identifier length, and only found #1998. Sorry if I'm still creating a duplicate.)

Thanks a million! (And a LOVELY product, BTW!!!)

Associated revisions

Revision 2221 - 2009-01-03 14:09 - Jean-Philippe Lang

Lower the project identifier limit to a minimum of two characters (#2003).

History

#1 - 2008-10-07 19:42 - Mischa The Evil

- File lower_project_identifier_lenght_limit_to_2-r1927.diff added

Here's an untested patch which should lower the limit to a minimum of two characters.

Please test it and let me know if it doesn't work.

#2 - 2008-10-08 12:45 - Szabolcs Szasz

Thanks! I will give it a go (first changing the upper limits, too, as my DB data already seems to not to have 20, but 30 chars (which is still kinda' low).

#3 - 2009-01-03 14:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8.1

- Resolution set to Fixed

Patch applied in r2221.

Files

lower_project_identifier_lenght_limit_to_2-r1927.diff 1.25 KB 2008-10-07 Mischa The Evil
